FlyCathay

UT2 SMARTASSEMBLY

Recommended Posts

My P3D V4 doesn't not want to load with UT2 server because it fails to load due to ' {smartassembly} is not available on this computer' error after I did a clean install of window. It had been working fine before and I already did the followings according to my online search on the problem:

1. installing the old simconnect provided in FlightOne forum

2. Install legacy all the simconnect in Prepar3D v4/redist/Interface/

The two methods above don't work for me. I am running out of idea so decide to seek help here. Am I missing others programs that I should install...maybe?

 

 

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

Make sure that you have the required Microsoft.Net files installed 

Share this post


Link to post
10 minutes ago, Glynn said:

Make sure that you have the required Microsoft.Net files installed 

I think windows 10 already comes with .Net 3.5 which is required by UT2 according to https://www.flight1.com/products.asp?product=ut2

I am trying to remove .Net comes with windows and use the installer I downloaded from the internet.

Share this post


Link to post

This fixes it! Unload the default .Net 3.5 that comes with windows 10, and install the one found in Microsoft website.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now